################################################################################
## Calibration arguments
################################################################################

calibration-model=None
spline-calibration-envelope-dict=None
spline-calibration-nodes=5
spline-calibration-amplitude-uncertainty-dict=None
spline-calibration-phase-uncertainty-dict=None

################################################################################
## Data generation arguments
################################################################################

ignore-gwpy-data-quality-check=True
gps-tuple=None
gps-file=None
timeslide-file=None
timeslide-dict=None
# geocent-time is desirable near the end of this data segment.
# trigger time tells u the part of data segment to retrieve. Check trigger-time along with geocent-time
trigger-time=1187008882.4
n-simulation=1
data-dict=None
data-format=None
allow-tape=True
channel-dict={H1:GWOSC, L1:GWOSC, V1:GWOSC}
gaussian-noise=False
zero-noise=False

################################################################################
## Detector arguments
################################################################################

coherence-test=False
detectors=[H1, L1, V1]
duration=16.0
generation-seed=None
psd-dict=None
psd-fractional-overlap=0.5
post-trigger-duration=1.0
sampling-frequency=1024.0
psd-length=32
psd-maximum-duration=1024
psd-method=median
psd-start-time=None
maximum-frequency=None
minimum-frequency=20
tukey-roll-off=0.4
resampling-method=lal

################################################################################
## Injection arguments
################################################################################

injection=False
injection-dict=None
injection-file=None
injection-numbers=None
injection-waveform-approximant=None

################################################################################
## Job submission arguments
################################################################################

accounting=ligo.dev.o3.cbc.pe.lalinference
label=GW170817TaylorF2Ecc
local=False
local-generation=False
local-plot=False
outdir=/home/hemantakumar.phurailatpam/eccn3pn/test/condor_GW170817/outdir_GW170817TaylorF2Ecc
overwrite-outdir=False
periodic-restart-time=28800
request-memory=4.0
request-memory-generation=None
request-cpus=8
singularity-image=None
scheduler=condor
scheduler-args=None
scheduler-module=None
scheduler-env=None
scheduler-analysis-time=7-00:00:00
submit=False
condor-job-priority=0
transfer-files=True
log-directory=None
online-pe=False
osg=False
analysis-executable=None

################################################################################
## Likelihood arguments
################################################################################

distance-marginalization=False
distance-marginalization-lookup-table=None
phase-marginalization=False
time-marginalization=False
jitter-time=True
reference-frame=sky
time-reference=geocent
likelihood-type=GravitationalWaveTransient
roq-folder=None
roq-weights=None
roq-scale-factor=1
extra-likelihood-kwargs=None

################################################################################
## Output arguments
################################################################################

create-plots=False
plot-calibration=False
plot-corner=False
plot-marginal=False
plot-skymap=False
plot-waveform=False
plot-format=png
create-summary=False
email=None
notification=Never
existing-dir=None
webdir=None
summarypages-arguments=None
result-format=json

################################################################################
## Prior arguments
################################################################################

default-prior=BBHPriorDict
deltaT=0.2
prior-file=None
prior-dict={chirp-mass: Uniform(name='chirp_mass', minimum=0.8705505632961241,maximum=2.611651689888372), mass_ratio = Uniform(name='mass_ratio', minimum=0.3333333333333333, maximum=1), eccentricity = Uniform(name='e0', minimum=0.0, maximum=0.1), luminosity_distance = 40.7, a_1 = Uniform(name='a_1', minimum=-0.5, maximum=0.5), a_2 = Uniform(name='a_1', minimum=-0.5, maximum=0.5), theta_jn = Sine(name='theta_jn'), psi =  Uniform(name='psi', minimum=0, maximum=6.283185307179586), phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586), geocent_time = Uniform(1187008882.33, 1187008882.53, name='geocent_time', unit='s'), ra = 3.44615914, dec =  -0.40808407, }
convert-to-flat-in-component-mass=False

################################################################################
## Post processing arguments
################################################################################

postprocessing-executable=None
postprocessing-arguments=None
single-postprocessing-executable=None
single-postprocessing-arguments=None

################################################################################
## Sampler arguments
################################################################################

sampler=dynesty
sampling-seed=None
n-parallel=1
sampler-kwargs={'nlive': 500, 'npool': 8}

################################################################################
## Waveform arguments
################################################################################

waveform-generator=bilby.gw.waveform_generator.WaveformGenerator
reference-frequency=20
# custom waveform at lalsimulation
waveform-approximant=TaylorF2Ecc
catch-waveform-errors=False
pn-spin-order=-1
pn-tidal-order=-1
pn-phase-order=-1
pn-amplitude-order=0
numerical-relativity-file=None
waveform-arguments-dict=None
mode-array=None
# this frequency-domain-source-model is include in source.py (bilby/gw)
frequency-domain-source-model=lal_taylorF2Ecc_fd
conversion-function=None
generation-function=None

